﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;

namespace WindowsFormsApplication1
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
        }

        private void buttonSelectImage_Click(object sender, EventArgs e)
        {   this.openFileDialog1.Filter = "All Files (*.*)|*.*|PDF (*.pdf)|*.pdf|PhotoShop (*.psd)|*.psd|JPEG 2000 (*.j2k)|*.j2k;*.j2c|JPEG (*.jpg)|*.jpg|PCX (*.pcx)|*.pcx|WMF (*.wmf)|*.wmf|Wireless Bitmap (*.wbmp)|*.wbmp|Bitmap (*.bmp)|*.bmp|TIF (*.tif)|*.tif|TGA (*.tga)|*.tga|Gif (*.gif)|*.gif |PGX (*.pgx)|*.pgx|RAS (*.ras)|*.ras|PNM (*.pnm)|*.pnm|PNG (*.png)|*.png|Icon (*.ico)|*.ico";
            if (this.openFileDialog1.ShowDialog(this) == DialogResult.OK)
            {
                this.axImageViewer1.FileName = openFileDialog1.FileName;
                this.axImageViewer1.MouseTrackMode = SCRIBBLELib.MOUSE_TRACKMODE.NoSelectionRectMode;
            }
        }

        private void buttonSelFontFile_Click(object sender, EventArgs e)
        {
            openFileDialog1.Filter = "True type font(*.TTF file)|*.ttf";
            if (openFileDialog1.ShowDialog() == System.Windows.Forms.DialogResult.OK)
            {
                txtfontfile.Text = openFileDialog1.FileName;
               
            }
        }

        private void buttonConvert_Click(object sender, EventArgs e)
        {
            if (this.axImageViewer1.FileName == "")
            {
                MessageBox.Show("Please select image first");
                return;
            }

            axImageViewer1.OCRScanTextAsync(true);

            short ilangindex = 0;

            if (radioLang1.Checked)
                ilangindex = 0;
            else
            {
                ilangindex = 7;
                axImageViewer1.OCR2SearchablePDFFontFile = txtfontfile.Text;
              
            }

            if(txtfontfile.Text == "" && ilangindex == 7)
            {
                MessageBox.Show("Please select unicode font file");
                return;
            }

            axImageViewer1.OCRCharFilter = "";
            axImageViewer1.OCRSetRect(0, 0, 0, 0);
            axImageViewer1.OCRRecognizeMode = 2;

            short iresult;
            this.saveFileDialog1.Filter = "PDF File (*.pdf)|*.pdf";
            if (this.saveFileDialog1.ShowDialog(this) == DialogResult.OK)
            {
             
                    iresult = axImageViewer1.OCR2SearchableMultipagePDF(saveFileDialog1.FileName, ilangindex, "dictfiles");
            }


        }

        private void axImageViewer1_OCRPDFA(object sender, AxSCRIBBLELib._DImageViewerEvents_OCRPDFAEvent e)
        {
            if(e.iProgress==100)
            MessageBox.Show("Save Completed");
        }

        private void Form1_Load(object sender, EventArgs e)
        {

        }
    }
}
